package com.aitrainer.api.test

import com.aitrainer.api.model.ExerciseType
import com.aitrainer.api.repository.ExerciseTypeRepository
import org.junit.jupiter.api.Test
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals

@SpringBootTest
class ExerciseTypeTest {

    @Autowired
    private lateinit var exerciseTypeRepository: ExerciseTypeRepository

    @Test
    fun testGet() {
        val id: Long = 7
        val extype: ExerciseType = exerciseTypeRepository.findById( id ).orElse(null)
        assertEquals( extype.name, "4x10m-es ingafutás")
    }
    fun testInsert(){
        val newEx = ExerciseType( "Húzodszkodás", " A legtöbb húzodszkodás 24 óra alatt John Ort érte el 7600-al 2016-ban. ", null )
        val savedEx: ExerciseType = exerciseTypeRepository.save(newEx)
        assertEquals(savedEx.name, "Húzodszkodás")

        val insertedId: Long = savedEx.exerciseTypeId

        val extype: ExerciseType = exerciseTypeRepository.findById( savedEx.exerciseTypeId ).orElse(null)
        assertEquals( extype.name, "Húzodszkodás")
        
    }
}